Page MenuHomePhabricator

"share as text" gives no link, no URL
Closed, ResolvedPublic0 Estimated Story Points

Description

Again I ask: how to set a bug as a blocker for release? this would. do not promote the beta until this is fixed...

Android App 2.0.105-beta-2015-06-30

I can select text on the page and copy it. I can select the title and copy it.

The only way I knew to get the URL was to "share as text". Now even that doesn't work. It gives an excerpt from the lead followed by "(Full article...)" in plain text not a link. (anyway, I don't want a link... I want the URL in plain text)

Very often the reason to get the link is to open it in a mobile browser. I'll file separately the feature to directly open current article in other browser. (no clipboard, no pasting required)

Event Timeline

jeremyb-phone raised the priority of this task from to High.
jeremyb-phone updated the task description. (Show Details)
jeremyb-phone added a subscriber: jeremyb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 1:57 PM
MBinder_WMF set Security to None.Jul 6 2015, 8:23 PM
MBinder_WMF edited a custom field.
Mholloway claimed this task.Jul 8 2015, 3:43 PM
Mholloway moved this task from To Do to Doing on the Mobile-App-Sprint-61-Android-Beach-Boys board.

Needs acceptance criteria: what precisely should be shared as text?

until recently it would share just the URL and nothing else. I don't
remember for sure but here maybe was an intermediate period since then when
it shared page title (spaces not underscores) + URL

I don't care very much what it says but it must have a URL.

also there should be some way to copy just the URL alone. (some apps
recently have grown a "Copy URL" button when you hit share that's separate
from the rest of the share options. see e.g. youtube's share menu)

and a way to directly open the URL in another browser or to open the
Wikidata item in a browser.

Change 224105 had a related patch set uploaded (by Mholloway):
Add article URL to share-as-text

https://gerrit.wikimedia.org/r/224105

@jeremyb A link to open the current page in the browser was recently added in T104705 and should appear in the next beta release. (Automated alpha builds are down at the moment.)

If a separate "copy URL" button would also be useful to you, please file a separate feature request task so we can keep the concerns separated. Thank you!

Change 224105 merged by jenkins-bot:
Add article URL to share-as-text

https://gerrit.wikimedia.org/r/224105

Signed off by design.

Dbrant closed this task as Resolved.Jul 21 2015, 12:00 PM
Dbrant added a subscriber: Dbrant.